import { request } from '/@/utils/service';


const prefix = '/api/pricing/price_cost/';
export function getTableData(query: any) {
  return request({
    url: prefix,
    method: 'GET',
    params: query
  });
}

export function getCostOptions(query: any) {
  return request({
    url: prefix+ 'box/',
    method: 'GET',
    params: query
  });
}

export function getCurrencyCodeOptions() {
  return request({
    url: prefix + 'currency_code/',
    method: 'GET',
  });
}

export function getCountryOptions() {
  return request({
    url: prefix + 'country_code',
    method: 'GET',
  });
}

export function postSupplyCreate(body: any) {
  return request({
    url: '/api/pricing/price_product_supply/',
    method: 'POST',
    data: body
  });
}

export function postDirectCreate(body: any) {
  return request({
    url: '/api/pricing/price_product_direct/',
    method: 'POST',
    data: body
  });
}

export function getDept(){
  return request({
    url: '/api/system/user/user_info/',
    method: 'GET',
  });
}

